Package: groovy.model

## [Java] Class FormModel

- groovy.model.FormModel

- Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FormModel ()`
    `FormModel (Map fieldModels)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addModel(String name, Object model)`
    `` | `Object` | `getModel(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public FormModel()

    - #### public FormModel(Map fieldModels)

  - ### Method Detail

    - #### public void addModel(String name, Object model)

    - #### public Object getModel(String name)